Skip to main content
GET
/
searches
/
talent
/
{searchId}
Get Talent Signals saved search details
curl --request GET \
  --url https://app.tryspecter.com/api/v1/searches/talent/{searchId} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/searches/talent/{searchId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/searches/talent/{searchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 163,
  "name": "European Query",
  "is_global": false,
  "query_id": 10,
  "full_count": 100
}
{
"errorCode": "BAD_SEARCH_ID_TYPE",
"message": "The search id needs to be a number."
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

searchId
string
required

The ID of the saved search being requested.

Response

The details of the query for a given search id.

id
number

The search id for the search, this should be used to query for results for the search.

Example:

163

name
string

Name of the search

Example:

"European Query"

is_global
boolean

This flags searches recommended by Specter for all users

Example:

false

query_id
number

The query id that this search is related to, this can be used to query for the search in the address bar. https://app.staging.tryspecter.com/signals/{product_type}/feed?queryId=10

Example:

10

product_type
enum<string>

The type of product the search relates to.

Available options:
company,
investors,
people,
talent
full_count
number

The total number of items that are returned by this search.

Example:

100